# Class LlmAgentConfig

java.lang.Object
com.google.adk.agents.BaseAgentConfig
com.google.adk.agents.LlmAgentConfig

public class LlmAgentConfig extends BaseAgentConfig
Configuration for LlmAgent.

TODO: Config agent features are not yet ready for public use.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class BaseAgentConfig

  `BaseAgentConfig.AgentRefConfig, BaseAgentConfig.CallbackRef`
  Modifier and Type
  Class
  Description
  `static class`
  `BaseAgentConfig.AgentRefConfig`
  Configuration for referencing other agents (subagents).
  `static class`
  `BaseAgentConfig.CallbackRef`
  Reference to a callback stored in the ComponentRegistry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LlmAgentConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BaseAgentConfig.CallbackRef>`
  `afterModelCallbacks()`
  `List<BaseAgentConfig.CallbackRef>`
  `afterToolCallbacks()`
  `List<BaseAgentConfig.CallbackRef>`
  `beforeModelCallbacks()`
  `List<BaseAgentConfig.CallbackRef>`
  `beforeToolCallbacks()`
  `Boolean`
  `disallowTransferToParent()`
  `Boolean`
  `disallowTransferToPeers()`
  `com.google.genai.types.GenerateContentConfig`
  `generateContentConfig()`
  `LlmAgent.IncludeContents`
  `includeContents()`
  `String`
  `instruction()`
  `String`
  `model()`
  `String`
  `outputKey()`
  `void`
  `setAfterModelCallbacks(List<BaseAgentConfig.CallbackRef> afterModelCallbacks)`
  `void`
  `setAfterToolCallbacks(List<BaseAgentConfig.CallbackRef> afterToolCallbacks)`
  `void`
  `setBeforeModelCallbacks(List<BaseAgentConfig.CallbackRef> beforeModelCallbacks)`
  `void`
  `setBeforeToolCallbacks(List<BaseAgentConfig.CallbackRef> beforeToolCallbacks)`
  `void`
  `setDisallowTransferToParent(Boolean disallowTransferToParent)`
  `void`
  `setDisallowTransferToPeers(Boolean disallowTransferToPeers)`
  `void`
  `setGenerateContentConfig(com.google.genai.types.GenerateContentConfig generateContentConfig)`
  `void`
  `setIncludeContents(LlmAgent.IncludeContents includeContents)`
  `void`
  `setInstruction(String instruction)`
  `void`
  `setModel(String model)`
  `void`
  `setOutputKey(String outputKey)`
  `void`
  `setTools(List<BaseTool.ToolConfig> tools)`
  `List<BaseTool.ToolConfig>`
  `tools()`

  ### Methods inherited from class BaseAgentConfig

  `afterAgentCallbacks, agentClass, beforeAgentCallbacks, description, name, setAfterAgentCallbacks, setAgentClass, setBeforeAgentCallbacks, setDescription, setName, setSubAgents, subAgents`
  Modifier and Type
  Method
  Description
  `com.google.common.collect.ImmutableList<BaseAgentConfig.CallbackRef>`
  `afterAgentCallbacks()`
  `String`
  `agentClass()`
  `com.google.common.collect.ImmutableList<BaseAgentConfig.CallbackRef>`
  `beforeAgentCallbacks()`
  `String`
  `description()`
  `String`
  `name()`
  `void`
  `setAfterAgentCallbacks(List<BaseAgentConfig.CallbackRef> afterAgentCallbacks)`
  `void`
  `setAgentClass(String agentClass)`
  `void`
  `setBeforeAgentCallbacks(List<BaseAgentConfig.CallbackRef> beforeAgentCallbacks)`
  `void`
  `setDescription(String description)`
  `void`
  `setName(String name)`
  `void`
  `setSubAgents(List<BaseAgentConfig.AgentRefConfig> subAgents)`
  `com.google.common.collect.ImmutableList<BaseAgentConfig.AgentRefConfig>`
  `subAgents()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LlmAgentConfig

    public LlmAgentConfig()

- ## Method Details

  - ### model

    public String model()

  - ### setModel

    public void setModel(String model)

  - ### instruction

    public String instruction()

  - ### setInstruction

    public void setInstruction(String instruction)

  - ### disallowTransferToParent

    public Boolean disallowTransferToParent()

  - ### setDisallowTransferToParent

    public void setDisallowTransferToParent(Boolean disallowTransferToParent)

  - ### disallowTransferToPeers

    public Boolean disallowTransferToPeers()

  - ### setDisallowTransferToPeers

    public void setDisallowTransferToPeers(Boolean disallowTransferToPeers)

  - ### outputKey

    public String outputKey()

  - ### setOutputKey

    public void setOutputKey(String outputKey)

  - ### tools

    public List<BaseTool.ToolConfig> tools()

  - ### setTools

    public void setTools(List<BaseTool.ToolConfig> tools)

  - ### includeContents

    public LlmAgent.IncludeContents includeContents()

  - ### setIncludeContents

    public void setIncludeContents(LlmAgent.IncludeContents includeContents)

  - ### generateContentConfig

    public com.google.genai.types.GenerateContentConfig generateContentConfig()

  - ### setGenerateContentConfig

    public void setGenerateContentConfig(com.google.genai.types.GenerateContentConfig generateContentConfig)

  - ### beforeModelCallbacks

    public List<BaseAgentConfig.CallbackRef> beforeModelCallbacks()

  - ### setBeforeModelCallbacks

    public void setBeforeModelCallbacks(List<BaseAgentConfig.CallbackRef> beforeModelCallbacks)

  - ### afterModelCallbacks

    public List<BaseAgentConfig.CallbackRef> afterModelCallbacks()

  - ### setAfterModelCallbacks

    public void setAfterModelCallbacks(List<BaseAgentConfig.CallbackRef> afterModelCallbacks)

  - ### beforeToolCallbacks

    public List<BaseAgentConfig.CallbackRef> beforeToolCallbacks()

  - ### setBeforeToolCallbacks

    public void setBeforeToolCallbacks(List<BaseAgentConfig.CallbackRef> beforeToolCallbacks)

  - ### afterToolCallbacks

    public List<BaseAgentConfig.CallbackRef> afterToolCallbacks()

  - ### setAfterToolCallbacks

    public void setAfterToolCallbacks(List<BaseAgentConfig.CallbackRef> afterToolCallbacks)